ACPIDB(8)

NAME
acpidb - ACPI DSDT debugger

SYNOPSIS
acpidb input-file

DESCRIPTION
The acpidb utility is a debugger for the ACPI DSDT. It can parse and execute various AML methods and display the result.

COMMANDS

  General-Purpose Commands

Allocations
    Display list of current memory allocations

Dump Address | Namepath [Byte | Word | Dword | Qword]
    Display ACPI objects or memory

EnableAcpi
    Enable ACPI (hardware) mode

Help
    Show various help screens

History
    Display command history buffer

Level DebugLevel [console]
    Get/Set debug level for file or console

Locks
    Current status of internal mutexes

Quit or Exit
    Exit the debugger

Stats [Allocations | Memory | Misc | Objects | Tables]
    Display namespace and memory statistics

Tables
    Display info about loaded ACPI tables

Unload TableSig [Instance]
    Unload an ACPI table

! CommandNumber
    Execute command from history buffer

!!  Execute last command again

  Namespace Access Commands

Event F | G Value
    Generate AcpiEvent (Fixed/GPE)

Find Name
    Find ACPI name(s) with wildcards ‘(’? is wildcard)

Method
    Display list of loaded control methods

Namespace [Addr | Path] [Depth]
    Display loaded namespace tree/subtree

Notify NamePath Value
    Send a notification

Objects ObjectType
    Display all objects of the given type

Owner OwnerId [Depth]
    Display loaded namespace by object owner

Prefix [NamePath]
    Set or Get current execution prefix

References Addr
    Find all references to object at addr

Resources
    Get and display resources

Terminate
    Delete namespace and all internal objects

Thread Threads Loops NamePath
    Spawn threads to execute method(s)

  Control Method Execution Commands

Arguments
    (Args) Display method arguments

Breakpoint AmlOffset
    Set an AML execution breakpoint

Call
    Run to next control method invocation

Debug Namepath [Arguments]
    Single Step a control method

Execute Namepath [Arguments]
    Execute control method

Go  Allow method to run to completion

Information
    Display info about the current method

Into
    Step into (not over) a method call

List [OpcodeCount]
    Display method ASL statements

Locals
    Display method local variables

Results
    Display method result stack

Set A | L # Value
    Set method data (Arguments/Locals)

Stop
    Terminate control method

Tree
    Display control method calling tree

<Enter>
    Single step next AML opcode (over calls)

  File I/O Commands

Close
    Close debug output file

Open Filename
    Open a file for debug output

Load Filename
    Load ACPI table from a file

SEE ALSO
acpi(4), acpidump(8), iasl(8)

HISTORY
The acpidb utility first appeared in the acpicatools port. It was imported for FreeBSD 5.2.

AUTHORS
-nosplit The acpidb utility was written by Mitsuru Iwasaki <iwasaki@FreeBSD.org> and uses Intel ACPI-CA for the backend. This manual page was written by Nate Lawson.